Update Guest Profile Contact Details

PUT /guest-profiles/::guestProfileId/contact-details

Update the contact details of a guest profile including name, email, phone, company, website URL, booking URL, LinkedIn, and one-pager URL.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/guest-profiles/:guestProfileId/contact-details

Code Example

API Specification

Path Parameters

PropertyTypeDescription
guestProfileId
string

The guest profile ID

Request Body

PropertyTypeDescription
bookingUrloptional
string

Calendar booking URL

onePagerUrloptional
string

One-pager document URL

companyNameoptional
string

Company name

emailoptional
string

Email address

firstNameoptional
string

First name

lastNameoptional
string

Last name

linkedInoptional
string

LinkedIn profile URL

nameoptional
string

Full name

phoneoptional
string

Phone number

websiteUrloptional
string

Website URL

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

success
boolean